/*
 * Copyright (C) 2006 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.calendar;

public final class CalendarData {
    static final String[] sDateStrings = { "0", "1", "2", "3", "4", "5", "6",
        "7", "8", "9", "10", "11", "12", "13", "14", "15", "16", "17",
        "18", "19", "20", "21", "22", "23", "24", "25", "26", "27", "28",
        "29", "30", "31" };

    static final String[] sMonthNumStrings = { "1", "2", "3", "4", "5", "6",
        "7", "8", "9", "10", "11", "12" };

    static final String[] s12Hours = { "12 AM", "1 AM", "2 AM", "3 AM", "4 AM",
        "5 AM", "6 AM", "7 AM", "8 AM", "9 AM", "10 AM", "11 AM", "Noon",
        "1 PM", "2 PM", "3 PM", "4 PM", "5 PM", "6 PM", "7 PM", "8 PM",
        "9 PM", "10 PM", "11 PM", "12 AM" };

    static final String[] s12AmPm = { "AM", "AM", "AM", "AM", "AM",
        "AM", "AM", "AM", "AM", "AM", "AM", "AM", "PM",
        "PM", "PM", "PM", "PM", "PM", "PM", "PM", "PM",
        "PM", "PM", "PM", "AM" };

    static final String[] s12HoursNoAmPm = { "12", "1", "2", "3", "4",
        "5", "6", "7", "8", "9", "10", "11", "12",
        "1", "2", "3", "4", "5", "6", "7", "8",
        "9", "10", "11", "12" };

    static final String[] s24Hours = { "00", "01", "02", "03", "04", "05",
        "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16",
        "17", "18", "19", "20", "21", "22", "23", "00" };
    
    static final String[] sMinutes = {
        ":00", ":01", ":02", ":03", ":04", ":05", ":06", ":07", ":08", ":09",
        ":10", ":11", ":12", ":13", ":14", ":15", ":16", ":17", ":18", ":19",
        ":20", ":21", ":22", ":23", ":24", ":25", ":26", ":27", ":28", ":29",
        ":30", ":31", ":32", ":33", ":34", ":35", ":36", ":37", ":38", ":39",
        ":40", ":41", ":42", ":43", ":44", ":45", ":46", ":47", ":48", ":49",
        ":50", ":51", ":52", ":53", ":54", ":55", ":56", ":57", ":58", ":59"
    };
}
